<?php namespace App\ViewModels\ProcedimentoValor\ProcedimentoSemValorDetailsViewModel;

use App\Utils\Entity;

class ProcedimentoSemValorDetailsViewModel extends Entity
{
    protected $id_procedimento;
    protected $descricao_procedimento;
    protected $criado_em;
    protected $id_tipo_procedimento;
    protected $criado_por;
    protected $id_convenio_procedimento;

    public static function builder() : ProcedimentoSemValorDetailsViewModelBuilder
    {
        return (new ProcedimentoSemValorDetailsViewModelBuilder);
    }

    /**
     * @return mixed
     */
    public function getIdConvenioProcedimento()
    {
        return $this->id_convenio_procedimento;
    }

    /**
     * @param mixed $id_convenio_procedimento
     */
    public function setIdConvenioProcedimento($id_convenio_procedimento): void
    {
        $this->id_convenio_procedimento = $id_convenio_procedimento;
    }

    /**
     * @return mixed
     */
    public function getIdProcedimento()
    {
        return $this->id_procedimento;
    }

    /**
     * @param mixed $id_procedimento
     */
    public function setIdProcedimento($id_procedimento): void
    {
        $this->id_procedimento = $id_procedimento;
    }

    /**
     * @return mixed
     */
    public function getDescricaoProcedimento()
    {
        return $this->descricao_procedimento;
    }

    /**
     * @param mixed $descricao_procedimento
     */
    public function setDescricaoProcedimento($descricao_procedimento): void
    {
        $this->descricao_procedimento = $descricao_procedimento;
    }

    /**
     * @return mixed
     */
    public function getCriadoEm()
    {
        return $this->criado_em;
    }

    /**
     * @param mixed $criado_em
     */
    public function setCriadoEm($criado_em): void
    {
        $this->criado_em = $criado_em;
    }

    /**
     * @return mixed
     */
    public function getIdTipoProcedimento()
    {
        return $this->id_tipo_procedimento;
    }

    /**
     * @param mixed $id_tipo_procedimento
     */
    public function setIdTipoProcedimento($id_tipo_procedimento): void
    {
        $this->id_tipo_procedimento = $id_tipo_procedimento;
    }

    /**
     * @return mixed
     */
    public function getCriadoPor()
    {
        return $this->criado_por;
    }

    /**
     * @param mixed $criado_por
     */
    public function setCriadoPor($criado_por): void
    {
        $this->criado_por = $criado_por;
    }

}